Package Details: mpd-git 0.20.23.r1494.g901229699-2

Git Clone URL: https://aur.archlinux.org/mpd-git.git (read-only)
Package Base: mpd-git
Description: Flexible, powerful, server-side application for playing music
Upstream URL: https://www.musicpd.org/
Licenses: GPL
Conflicts: mpd
Provides: mpd
Submitter: Slash
Maintainer: E5ten (Morganamilo)
Last Packager: E5ten
Votes: 102
Popularity: 0.000001
First Submitted: 2008-09-07 18:21
Last Updated: 2018-10-29 23:25

Required by (28)

Sources (4)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

Reihar commented on 2013-12-08 14:52

I haven't been able to build for a few weeks. I get these errors every time :
http://pastebin.archlinux.fr/477565

misc commented on 2013-11-01 00:39

That mpc error? It's due to two commits to configure.ac that can (yet) be reverted.

I've realigned the package to the mpd buildscript as found in extra, the PKGBUILD also contains said reverts:
http://www.mediafire.com/?j0mz9s6h6486mdk

Note to those with libmpdclient-git, you probably need to update that first.

sudokode commented on 2013-10-31 22:15

Took those out, but I wouldn't try updating. I've been getting a build error for the past 2 weeks.

misc commented on 2013-10-15 13:49

Both the "Fix missing macro" and "Fix tilde expansion" are now unnecessary and useless.

(Also, I've been able to compile without utvideo-git and libnut-git just fine.)

Anonymous comment on 2013-09-13 12:14

Needs utvideo-git and libnut-git AUR dependencies.

sudokode commented on 2013-09-11 00:03

Fixed the tilde expansion in mpd.conf and the proper project url is in there now.

adityarajbhatt commented on 2013-08-25 05:42

I think the upstream URL should be updated to git.musicmpd.org or something even deeper like /cgit/master/mpd.git. The existing URL mpd.wikia.com/wiki/Server redirects to http://www.musicpd.org/download/mpd/stable/ which is not the target of the PKGBUILD.

adityarajbhatt commented on 2013-08-25 05:31

I think the upstream URL should be updated to git.mpd.org.

misc commented on 2013-07-31 09:22

Needs musepack-tools instead of libmpcdec since yesterday.

Also, AVCODEC_MAX_AUDIO_FRAME_SIZE is still missing. extra/mpd has in prepare (changed to match the CXX filenames):

sed 's:cdio/paranoia.h:cdio/paranoia/paranoia.h:g' -i src/input/CdioParanoiaInputPlugin.cxx
sed 's:AVCODEC_MAX_AUDIO_FRAME_SIZE:192000:g' -i src/decoder/FfmpegDecoderPlugin.cxx

misc commented on 2013-07-31 09:12

Won't compile.

mpd dropped support for the "old api" of mpc yesterday ("pre-SV8 libmpcdec", whatever that means). So until Arch updates that: --disable-mpc

AVCODEC_MAX_AUDIO_FRAME_SIZE is still missing. From extra/mpd:
sed 's:AVCODEC_MAX_AUDIO_FRAME_SIZE:192000:g' -i src/decoder/ffmpeg_decoder_plugin.c